Skip to main content
PATCH
/
projects
/
{projectId}
/
slug
/
Update project slug
curl --request PATCH \
  --url https://spectrum.photon.codes/projects/{projectId}/slug/ \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectSlug": "<string>"
}
'
import requests

url = "https://spectrum.photon.codes/projects/{projectId}/slug/"

payload = { "projectSlug": "<string>" }
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({projectSlug: '<string>'})
};

fetch('https://spectrum.photon.codes/projects/{projectId}/slug/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "succeed": true,
  "data": {
    "projectId": "<string>",
    "projectSlug": "<string>"
  }
}

Path Parameters

projectId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

projectSlug
string
required

Response

200 - application/json

Response for status 200

succeed
boolean
required
data
object
required